petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecPlaceArray

Allows one to replace the array in a vector with an array provided by the user. This is useful to avoid copying an array into a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPlaceArray(Vec vec,const PetscScalar array[])

Not Collective Many br

### Input Parameters

| vec | - the vector Many br
| array | - the array Many br

### Notes

You can return to the original array with a call to VecResetArray() Many br

Many br

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecResetArray()

Level:developer
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex13f90.F.html
src/ksp/ksp/examples/tutorials/ex61f.F90.html